/******************************************************************************

JMixNet - A Java MixNet Implementation

Fabiano Castro Pereira
LabSEC - Computer Security Laboratory (www.labsec.ufsc.br)
Informatics and Statistics Department (www.inf.ufsc.br)
Federal University of Santa Catarina  (www.ufsc.br)  
Florianopolis, Santa Catarina, Brazil

JMixNet is a registered trademark of the Federal University of Santa Catarina.
No commercial use of this trademark may be made without prior written
permission of the Federal University of Santa Catarina.\

******************************************************************************/
package br.edu.ufsc.labsec.crypto;

import java.security.cert.*;

/**
 * @author castro
 *
 * Extracts information from X509 certificates.
 */
public class X509CertificateInfo {
    
    public static int getKeyBytesSize(X509Certificate cert) {
        int keyLength = cert.getPublicKey().getEncoded().length;
        return keyLength - (keyLength % 64);
    } 
}
