/******************************************************************************

JMixNet - A Java MixNet Implementation

Fabiano Castro Pereira
LabSEC - Computer Security Laboratory (www.labsec.ufsc.br)
Informatics and Statistics Department (www.inf.ufsc.br)
Federal University of Santa Catarina  (www.ufsc.br)  
Florianopolis, Santa Catarina, Brazil

JMixNet is a registered trademark of the Federal University of Santa Catarina.
No commercial use of this trademark may be made without prior written
permission of the Federal University of Santa Catarina.\

******************************************************************************/
package br.edu.ufsc.labsec.jmixnet;

/**
 * @author castro
 *
 * General exception to reflect an unsolvable problem (e.g. network not available).  
 */
public class JMixNetException extends Exception {

    public JMixNetException() {
        super("Unsolvable problem encountered.");
    }

    public JMixNetException(String message) {
        super(message);
    }
    
    public JMixNetException(Throwable cause) {
        super(cause);
    }
    
    public JMixNetException(String msg, Throwable cause) {
        super(msg, cause);
    }
}