/******************************************************************************

JMixNet - A Java MixNet Implementation

Fabiano Castro Pereira
LabSEC - Computer Security Laboratory (www.labsec.ufsc.br)
Informatics and Statistics Department (www.inf.ufsc.br)
Federal University of Santa Catarina  (www.ufsc.br)  
Florianopolis, Santa Catarina, Brazil

JMixNet is a registered trademark of the Federal University of Santa Catarina.
No commercial use of this trademark may be made without prior written
permission of the Federal University of Santa Catarina.\

******************************************************************************/
package br.edu.ufsc.labsec.util;

/**
 * @author castro
 *
 * A configuration property was not found or had a wrong value
 */
public class WrongConfigException extends ConfigException {
  
    public WrongConfigException(String key) {
        super("Property '" + key + "' was wrongly set in configuration file.");
    }
}